from risotto.utils import multi_function as _multi_function


@_multi_function
def calc_oauth2_client_external(external, location, *extras):
    if not external or not location or None in extras:
        return
    if isinstance(external, list):
        return [f'https://{exter}{location[0]}' + ''.join(extras) for exter in external]
    return f'https://{external}{location[0]}' + ''.join(extras)
